Subject: Re: bug#10237: AM_SILENT_RULES does not work with NonStop make

From: "Daniel Richard G." <[email-masked]>
Date: Tue, 06 Dec 2011 22:20:11 -0500

On Tue, 2011 Dec  6 16:15-0800, Paul Eggert wrote:
> On 12/06/11 15:16, Daniel Richard G. wrote:
>
> > (Paul: Does $({}) work on NonStop?)
> 
> I don't know, sorry.
> 
> I wanted a solution that worked
> on any POSIX platform -- POSIX 2008 says that
> $(aaa${bbb}) is just as unspecified as
> $(aaa$(bbb)) is, and I wanted to play it safe.
> 
> Part of this is my experience with implementers who
> code from the spec, so that their implementations'
> quirks are not necessarily those of the historical
> code.

Unless an implementation forgets to allow curly-braces altogether,
however, I don't see why this wouldn't work. I've certainly seen
projects that use ${...} as the general convention. It would have to be
a pretty naive make implementation to not support that.

As I see it, the only real way to play it safe here, per POSIX, is to
forgo the use of nested variables altogether.

--Daniel

-- 
Daniel Richard G. || [email-masked]
My ASCII-art .sig got a bad case of Times New Roman.